QGIS Application - Bug report #11815
Feature highlight from Identify features misplaced on rotation
2014-12-09 04:15 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20038
Description

The rendered feature highlight from identify features gets misplaced on map rotation.

Related issues:
Related to QGIS Application - Bug report # 11817: Grid decoration meaningless... Closed 2014-12-09

History

#1 - 2014-12-09 04:31 AM - Sandro Santilli
Note that the feature selection highlight (from select features tool) renders correctly (in yellow), so this is specific to identify feature (dunno what's the

difference in rendering)

#2 - 2014-12-30 01:27 AM - Giovanni Manghi
- File rotation_selection.mp4 added

Sandro Santilli wrote:

Note that the feature selection highlight (from select features tool) renders correctly (in yellow), so this is specific to identify feature (dunno what's the

difference in rendering)

it renders correctly, when it works. See the attached screencast that shows that the selection tool works, but not in a reliable way (every time the mouse

stops over a polygon a click is given to try make a selection).

#3 - 2014-12-30 02:24 AM - Sandro Santilli

Giovanni please file another ticket if the selection tool does not work correctly.
My observation was about the highlighting (due to selection) retaining correct position as the map was rotated.
This ticket is about the highlighting (due to identify feature) NOT retaining it.

#4 - 2015-01-03 12:03 PM - Sandro Santilli
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed
Fixed with commit dee9c462e9b0f939c1d656b7e2d21be7421b77a

Files

rotation_selection.mp4 1.58 MB 2014-12-30 Giovanni Manghi
